[Solved] Error while installing nuxeo 9.3 on ubuntu 16.04

Hello, I try hardly to install Nuxeo 9.3, but something is broken in the installation pack.

While running : sudo apt install nuxeo it always exiting with the same error code.

Something about Postgresql

  • I've tried differents versions (9.6 and 10)

  • I've tried installing psql alone before nuxeo

  • I've tried creating user and databse in psql before installing nuxeo

    Always the same result :

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Recommended packages:
  libavcodec-extra-53
The following NEW packages will be installed:
  nuxeo
0 upgraded, 1 newly installed, 0 to remove and 9 not upgraded.
Need to get 0 B/368 MB of archives.
After this operation, 400 MB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously unselected package nuxeo.
(Reading database ... 122323 files and directories currently installed.)
Preparing to unpack .../archives/nuxeo_9.3-01_all.deb ...
Unpacking nuxeo (9.3-01) ...
Processing triggers for systemd (229-4ubuntu21) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up nuxeo (9.3-01) ...
*** Adding user nuxeo ***
Adding system user `nuxeo' (UID 112) ...
Adding new group `nuxeo' (GID 119) ...
Adding new user `nuxeo' (UID 112) with group `nuxeo' ...
Not creating home directory `/var/lib/nuxeo/server'.
ok.
 * Creating a dedicated database for nuxeo
Error: no initdb program for version 10.1 found
dpkg: error processing package nuxeo (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for systemd (229-4ubuntu21) ...
Processing triggers for ureadahead (0.100.0-19) ...
Errors were encountered while processing:
 nuxeo
E: Sub-process /usr/bin/dpkg returned an error code (1)
0 votes

1 answers

93 views

ANSWER



Hello, It seems that the installer of Postgresql has something broken. It happens while the Postgresql installer asks questions. So if I choose :

  • Bind adress 0.0.0.0
  • Listen on port 8080
  • Install with assistant

Everything works for me.

0 votes